| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
System

# Method System.NetUserEnum()

Method NetUserEnum

  `array(string|array(string|int)) NetUserEnum(string|int(0..0)|void server, int|void level, int|void filter)`

Description

  Get information about network users.

Parameter `server`

  Server the users exist on.

Parameter `level`

  Information level. One of:

  `0`
  `1`
  `2`
  `3`
  `10`
  `11`
  `20`

Returns

  Returns an array on success. Throws errors on failure.

FIXME

  Document the return value.

Note

  This function is only available on some Win32 systems.

See also

  NetUserGetInfo() , NetGroupEnum() NetLocalGroupEnum() , NetUserGetGroups() , NetUserGetLocalGroups() , NetGroupGetUsers() , NetLocalGroupGetMembers() , NetGetDCName() , NetGetAnyDCName()